package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * 系统配置参数初始化，该点不需要翻译
 */
@AllArgsConstructor
@Getter
public enum ESystemConfig {

    /**
     * 注册等级 参照等级
     */
    REGISTER_LEVER("1", "注册等级", 0, "PLACE_4"),

    /**
     * 业绩类型 1= 首购 2=复购 3=真实
     */
    ACHIEVE_TYPE("2", "业绩类型", 0, "PLACE_5"),

    /**
     * 是否陆运
     */
    IS_LAND_TRANS("0", "陆运", 0, "TRANSPORT_TYPE_1"),

    /**
     * 是否空运
     */
    IS_AIR_TRANS("1", "空运", 0, "TRANSPORT_TYPE_2"),

    /**
     * 是否海运
     */
    IS_OCEAN_TRANS("1", "海运", 0, "TRANSPORT_TYPE_3"),

    /**
     * 邮费配置，1=叠加 2=取最高 3=取最低
     */
    POSTAGE_CONFIG(EPostageConfig.MAXIMUM.getValue(), "运费配置", 0, "POSTAGE_1"),

    /**
     * 撤单时间 输入框，默认7天
     */
    CANCEL_ORDER_TIME("7", "撤单时间", 0, "CANCEL_ORDER_1"),

    /**
     * 注册专区 是否有待支付 0 是 1= 否
     */
    REGISTER_ORDER_CONFIRM_PAY("1", "注册专区", 0, "PAYMENT_1"),
    /**
     * 1=12小时 2=24小时 3=48小时 4=72小时
     */
    REGISTER_ORDER_TIME("1", "注册专区时间", 0, "PAYMENT_2"),
    REPURCHASE_ORDER_CONFIRM_PAY("0", "复购专区", 0, "PAYMENT_5"),
    REPURCHASE_ORDER_TIME("0", "复购专区时间", 0, "PAYMENT_6"),
    CONSUME_ORDER_CONFIRM_PAY("0", "重消专区", 0, "PAYMENT_9"),
    CONSUME_ORDER_TIME("0", "重消专区时间", 0, "PAYMENT_10"),
    PICK_ORDER_CONFIRM_PAY("1", "提货专区", 0, "PAYMENT_13"),
    PICK_ORDER_TIME("0", "提货专区时间", 0, "PAYMENT_14"),

    ;

    /**
     * 实际值
     */
    private final String value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * key值
     */
    private final String key;

    /***
     * 专区时间
     * @return
     */
    public static List<ESystemConfig> getPayMentTimeList() {
        List<ESystemConfig> list = new ArrayList<>();
        list.add(REGISTER_ORDER_TIME);
        list.add(REPURCHASE_ORDER_TIME);
        list.add(CONSUME_ORDER_TIME);
        list.add(PICK_ORDER_TIME);
        return list;
    }
}
